"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ionic_global_1 = require("./ionic-global");
describe('Ionic Global', function () {
    describe('prependIonicGlobal', function () {
        it('should prepend window.Ionic to code', function () {
            var ctx = {
                rootDir: '/Users/elliemae/myapp',
                wwwDir: '/Users/elliemae/myapp/www',
                buildDir: '/Users/elliemae/myapp/www/build'
            };
            var code = 'var name = "Ellie Mae";';
            var r = ionic_global_1.prependIonicGlobal(ctx, 'main.js', code);
            expect(r.code.indexOf('Ionic') > -1).toBeTruthy();
            expect(r.map).toBeDefined();
        });
    });
    describe('buildIonicGlobal', function () {
        it('should cache windowIonic', function () {
            var ctx = {
                rootDir: '/Users/elliemae/myapp',
                wwwDir: '/Users/elliemae/myapp/www',
                buildDir: '/Users/elliemae/myapp/www/build'
            };
            expect(ctx.windowIonic).toBeUndefined();
            var r = ionic_global_1.buildIonicGlobal(ctx);
            expect(r).toBeDefined();
            expect(ctx.windowIonic).toBeDefined();
        });
    });
});
